# cmd_twitch/howl.py
from twitchio.ext import commands
from cmd_common import common_commands as cc
from modules.utility import is_channel_live
from modules.permissions import has_permission

def setup(bot):
    """
    Registers the '!howl' command for Twitch.
    """
    @bot.command(name="howl")
    async def cmd_howl(ctx: commands.Context):
        """
        Handle the '!howl' command.

        Usage:
          - !howl -> Attempts a howl.
          - !howl stat <user> -> Looks up howling stats for a user.
        """
        user_roles = ctx.author.badges.keys()  # Extract Twitch user badges
        if not has_permission("howl", str(ctx.author.id), user_roles, "twitch", ctx.channel.name):
            await ctx.reply(f"You don't have permission to use this command.")
            return
        
        response = cc.handle_howl_command(ctx)
        await ctx.reply(response)